%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-ceph
Version:        2.3.0
Release:        7%{?dist}
Summary:        Community Developed Ceph Module
License:        ASL 2.0

URL:            https://launchpad.net/puppet-ceph

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=2.3.0
#
Patch0001: 0001-Ensure-osd.pp-moves-to-activate-only-after-finishing.patch
Patch0002: 0002-Revert-Automatically-zap-a-disk-if-no-valid-gpt-labe.patch
Patch0003: 0003-Fail-deployment-if-non-existent-block-devices-are-pa.patch
Patch0004: 0004-Switch-trunk-cbs-buildlogs-to-use-https.patch
Patch0005: 0005-Update-test-requirements.txt.patch
Patch0006: 0006-repo-use-ceph_mirror-in-ceph-repo.patch
Patch0007: 0007-Allow-use-of-device-aliases-for-OSDs.patch
Patch0008: 0008-Correctly-configure-dev-nvme0n1-devices-as-OSDs.patch
Patch0009: 0009-Update-tox-configuration.patch
Patch0010: 0010-Update-global-requirements.patch
Patch0011: 0011-Add-environment-variable.patch
Patch0012: 0012-Set-lowercase-for-ceph_config-values.patch
Patch0013: 0013-Switch-from-oslosphinx-to-openstackdocstheme.patch
Patch0014: 0014-Fix-openstackdocstheme.patch
Patch0015: 0015-Change-author-in-setup.cfg.patch
Patch0016: 0016-Fix-tests-for-latest-puppet.patch
Patch0017: 0017-Update-URLs-in-documents-according-to-document-migra.patch
Patch0018: 0018-Fix-lint-issues-to-upgrade-to-puppet-lint-2.3.patch

BuildArch:      noarch

#Requires:       puppet-apt
Requires:       puppet-apache
Requires:       puppet-concat
Requires:       puppet-inifile
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Community Developed Ceph Module

%prep
%setup -q -n openstack-ceph-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/ceph/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/ceph/



%files
%{_datadir}/openstack-puppet/modules/ceph/


%changelog
* Tue Aug 08 2017 Steve Linabery <slinaber@redhat.com> 2.3.0-7
- Fix lint issues to upgrade to puppet-lint 2.3
- Update URLs in documents according to document migration
- Fix tests for latest puppet
- Change author in setup.cfg
- Fix openstackdocstheme

* Tue Jun 27 2017 Jason Joyce <jjoyce@redhat.com> 2.3.0-6
- Switch from oslosphinx to openstackdocstheme
- Set lowercase for ceph_config values
- Add environment variable
- Update global requirements
- Update tox configuration
- Correctly configure /dev/nvme0n1 devices as OSDs

* Thu Apr 13 2017 Jon Schlueter <jschluet@redhat.com> 2.3.0-5
- Allow use of device aliases for OSDs

* Mon Apr 03 2017 Jon Schlueter <jschluet@redhat.com> 2.3.0-4
- repo: use $ceph_mirror in ceph::repo
- Update test-requirements.txt

* Wed Mar 29 2017 Jon Schlueter <jschluet@redhat.com> 2.3.0-3
- Switch trunk/cbs/buildlogs to use https
- Fail deployment if non-existent block devices are passed for OSDs

* Mon Mar 13 2017 Jon Schlueter <jschluet@redhat.com> 2.3.0-2
- Revert "Automatically zap a disk if no valid gpt label is present"
- Ensure osd.pp moves to activate only after finishing prepare

* Mon Mar 13 2017 Jon Schlueter <jschluet@redhat.com> 2.3.0-1
- Update to 2.3.0 (rhbz#1431821)

* Wed Jan 04 2017 Jon Schlueter <jschluet@redhat.com> 2.2.1-4
- Include and not redeclare apache mod_env (lp#1651987)
- Update ceph::key to update keys
- Unify parameter arguments between classes.
- Use facts from puppet-openstack_spec_helper
- Show team and repo badges on README
- Switch puppet-ceph to rspec-puppet-facts
- Fix puppet version for requirements in metadata

* Tue Oct 25 2016 Jon Schlueter <jschluet@redhat.com> 2.2.1-3
- Make pid_max settable on OSD nodes.
- Notify radosgw service on configuration change
- Change conf from create to ensure
- Ensure wget is installed for RGW Keystone integration

* Thu Oct 20 2016 Jon Schlueter <jschluet@redhat.com> 2.2.1-2
- repo: deploy ceph.com apt key only when required
- Enable release notes translation

* Tue Oct 11 2016 Haikel Guemar <hguemar@fedoraproject.org> 2.2.1-1
- Update to 2.2.1

* Thu Sep 29 2016 Haikel Guemar <hguemar@fedoraproject.org> 2.2.0-1
- Update to 2.2.0

* Wed Sep 21 2016 Haikel Guemar <hguemar@fedoraproject.org> 2.1.0-1
- Update to 2.1.0

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 2.0.0-1
- Update to 2.0.0
